Skip to main content

Gets the user list for a user group

GET /v1/usergroup/{userGroupID}/list

Summary​

Gets the user list for a user group.

Details​

Returns the users in the group with availability details.

This endpoint is restricted to the group creator.

Authentication​

No operation-level security requirement is documented here.

Parameters​

NameInTypeRequiredDescriptionExample
userGroupIDpathinteger (int64)YesThe ID of the user group whose users should be returned.1

Request Body​

No request body is documented here.

Responses​

200​

Success

application/json​

  • array of UserAvailability
    • key (integer (int64), optional)
    • emailAddress (string, optional)
    • firstName (string, optional)
    • lastName (string, optional)
    • description (string, optional)
    • availability (string, optional)
    • timeZone (string, optional)

Example

[
{
"key": 101,
"emailAddress": "testuser@actionstreamer.com",
"firstName": "Test",
"lastName": "User",
"description": "Example description",
"availability": "Available",
"timeZone": "America/New_York"
}
]